#!/bin/sh
# Late Asahi Linux stuff

PREREQ=""
prereqs()
{
     echo "$PREREQ"
}

case $1 in
prereqs)
     prereqs
     exit 0
     ;;
esac

. /scripts/functions
# Begin real processing below this line

[ -e /vendorfw ] || return
log_begin_msg ":: Asahi: Copying vendor firmware to tmpfs under root filesystem..."
mkdir -p /root/lib/firmware/vendor
mount -t tmpfs vendorfw /root/lib/firmware/vendor
cp -r /vendorfw/* /vendorfw/.vendorfw.manifest /root/lib/firmware/vendor
log_end_msg
